MARKDOWN(1)

NAME
markdown - text to html conversion tool

SYNOPSIS
markdown [-d] [-T] [-V] [-b url-base] [-F bitmap] [-f flags] [-o file] [-s text] [-t text] [textfile]

DESCRIPTION
The markdown utility reads the markdown(7)-formatted textfile (or stdin if not specified,) compiles it, and writes the html output to stdout.

The options are as follows:

-b url-base
    Links in source begining with / will be prefixed with url-base in the output.

-d  Instead of writing the html file, dump a parse tree to stdout.

-f flags
    Set or clear various translation flags. The flags are in a comma-delimited list, with an optional + (set) prefix on each flag.

    noimage
        Don't allow image tags.

    nolinks
        Don't allow links.

    nohtml
        Don't allow embedded html.

    cdata
        Generate valid XML output.

    noheader
        Do not process pandoc headers.

    notables
        Do not process Markdown Extra-style tables.

    tabstops
        Use markdown-standard 4-space tabstops.

    strict
        Disable superscript and relaxed emphasis.

    relax
        Enable superscript and relaxed emphasis (this is the default.)

    toc Enable table-of-contents support

    1.0 Revert to Markdown 1.0 compatability.

    As an example, the option -f nolinks,quot tells markdown to not allow <a tags, and to expand double-quotes.

-F bitmap
    Set translation flags. Bitmap is a bit map of the various configuration options described in markdown(3) (the flag values are defined in mkdio.h)

-V  Show the version# and configuration data.

    If the version includes the string DL_TAG, markdown was configured with definition list support.

    If the version includes the string HEADER, markdown was configured to support pandoc header blocks.

-o file
    Write the generated html to file.

-t text
    Use mkd_text(3) to format text instead of processing stdin with the markdown(3) function.

-T  If run with the table-of-content flag on, dump the table of contents before the formatted text.

-s text
    Use the markdown(3) function to format text.

RETURN VALUES
The markdown utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
markdown(3), markdown(7), mkd-extensions(7).

AUTHOR
David Parsons (orc@pell.chi.il.us)